std::basic_streambuf::gbump(3)

NAME
std::basic_streambuf::gbump - std::basic_streambuf::gbump

Synopsis
   protected:
   void gbump( int count );
   Skips count characters in the get area. This is done by adding count to the get
   pointer. No checks are done for underflow.

Parameters
   count - number of characters to skip

Return value
   (none)

Notes
   Because this function takes an int, it cannot manipulate buffers larger than
   std::numeric_limits<int>::max() characters (LWG issue 255).

Example
    This section is incomplete
    Reason: no example
   Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
                     it was unclear whether gbump can be implemented
   LWG 59 C++98 as only add count
                     calling sbumpc count times (which may check to the get pointer
                     underflow)

See also
   pbump advances the next pointer of the output sequence
         (protected member function)

Category:
     * Todo no example